Name:           octave-optimization
Version:        1.0
Release:        alt1.M51.1
Summary:        Functions for optimization tasks contributed to Octave
Packager:	Paul Wolneykien <manowar@altlinux.ru>

Group:		Sciences/Mathematics
License:        GPLv2+ and Public Domain
URL:            http://octave.sourceforge.net/

Source0:        optim.tar.gz
Patch0:		hdf5-include.patch

Requires:	%name-base

# Automatically added by buildreq on Fri Nov 28 2008
BuildRequires: gcc-c++ gcc-fortran latex2html texlive-latex-recommended texlive-fonts-extra libfftw3-devel libhdf5-devel liblapack-devel libncurses-devel libreadline-devel octave-devel zlib-devel

%description
Octave-forge is a community project for collaborative development of
Octave extensions. This is meta-package for optimization tasks.

%package base
Group:		Sciences/Mathematics
Requires:	octave(miscellaneous) >= 1.0.0
Provides:	octave(optim) = 1.0.4
Summary: Base functions for optimization tasks contributed to Octave

%description base
Octave-forge is a community project for collaborative development of
Octave extensions. The extensions in this package include additional
data types, and functions for optimization tasks, including:

  - optim-v1.0.4 -- Unconstrained Non-linear Optimization toolkit.

%prep
%setup -c
%patch0 -p1

%build
for dir in optim; do
    pushd $dir
    %configure
    make TMPDIR=%{_tmppath}
    popd
done

# Make documentation for 'optim' package.
cd optim/doc
make DVIPDF=dvipdfm

%install
for dir in optim; do
    pushd $dir
    make install TMPDIR=%{_tmppath} DESTDIR=$RPM_BUILD_ROOT DISTPKG=rpm
    popd
done

# Install documentation for 'optim' package.
for fn in optim/doc/*.pdf; do
    install -pm0644 -D "$fn" %buildroot%_docdir/%name-%version/optim-1.0.4/"${fn##*/}"
done
install -pm0755 -d %buildroot%_docdir/%name-%version/optim-1.0.4/html
cp -R optim/doc/html/* %buildroot%_docdir/%name-%version/optim-1.0.4/html/
chmod -R og-w %buildroot%_docdir/%name-%version/optim-1.0.4/html

%post
octave -q -H --no-site-file --eval "pkg('rebuild');"

%postun
octave -q -H --no-site-file --eval "pkg('rebuild');"

%files base
%{_datadir}/octave/packages/optim-1.0.4/*.m
%{_datadir}/octave/packages/optim-1.0.4/packinfo/*
%{_datadir}/octave/packages/optim-1.0.4/packinfo/.autoload
%{_libdir}/octave/packages/optim-1.0.4/*/*.oct
%_docdir/%name-%version/optim-1.0.4/*.pdf
%_docdir/%name-%version/optim-1.0.4/html/*.html
%_docdir/%name-%version/optim-1.0.4/html/optim-mini-howto-2/*.html
%_docdir/%name-%version/optim-1.0.4/html/optim-mini-howto-2/*.css
%_docdir/%name-%version/optim-1.0.4/html/optim-mini-howto-2/*.png

%exclude %{_datadir}/octave/packages/optim-1.0.4/doc
%exclude %_docdir/%name-%version/optim-1.0.4/html/optim-mini-howto-2/WARNINGS
%exclude %_docdir/%name-%version/optim-1.0.4/html/optim-mini-howto-2/*.tex
%exclude %_docdir/%name-%version/optim-1.0.4/html/optim-mini-howto-2/*.aux
%exclude %_docdir/%name-%version/optim-1.0.4/html/optim-mini-howto-2/*.log
%exclude %_docdir/%name-%version/optim-1.0.4/html/optim-mini-howto-2/*.pl

%changelog
* Fri Jan 29 2010 Paul Wolneykien <manowar@altlinux.ru> 1.0-alt1.M51.1
- Release 1 for the branch 5.1.

* Wed May 20 2009 Paul Wolneykien <manowar@altlinux.ru> 1.0-alt2
- Spawn the '-base' subpackage.

* Fri Nov 28 2008 Paul Wolneykien <manowar@altlinux.ru> 1.0-alt1
- Initial build for ALTLinux
